<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KLocalizedString</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KLocalizedString Class Reference</h1>
<code>from PyKDE4.kdecore import *</code>
<p>



<h2>Detailed Description</h2>

<p>Class for producing and handling localized messages
</p>
<p>
KLocalizedString handles translation and specific needs of argument
substitution and formatting in localized message strings.
</p>
<p>
Topics:
- gen_usage
- spec_usage
- subs_notes
- other_ref
</p>
<p>
<b>General Usage </b>
</p>
<p>
This class should mostly not be used directly, but through wrapper i18n
calls which return QString, for localization of user visible messages in
applications.
</p>
<p>
For the most frequent message type, the one without any arguments, you would
use simply:
<pre class="fragment">
   QString msg = i18n("Just plain info");
</pre>
</p>
<p>
If there are arguments to be substitued into the message, you just add them
after the message string:
<pre class="fragment">
   QString msg = i18n("%1 has scored %2", playerName, score);
</pre>
There can be up to some final number of arguments added like this (i18n
is realized by overloaded templates). If you overrun this number, use
ki18n* series of calls (described below). You can use several types as
arguments, see subs methods.
</p>
<p>
Sometimes a short message can be ambiguous in English, then you would use
the context version, i18nc. There the first string is context, and the
second is the message which really gets displayed:
<pre class="fragment">
   QString msg = i18nc("Player name - score", "%1 - %2", playerName, score);
</pre>
</p>
<p>
While English diferentiates plural forms only between 1 and else, in other
languages it might not be that simple, or it might be simpler. To handle
this properly, use plural call, i18np:
<pre class="fragment">
   QString msg = i18np("One image in album %2", "%1 images in album %2",
                       numImages, albumName);
</pre>
Note that the plural form shall be decided by first integer-valued argument,
(numImages in the example above). In rare cases when there are two integer
arguments, you should take care to order them properly.
</p>
<p>
Finally, message might need both context and plural, which is provided by
i18ncp call:
<pre class="fragment">
   QString msg = i18ncp("Personal file", "One file", "%1 files", numFiles);
</pre>
</p>
<p>
Be carefull not to use literal string as first argument after message text
in basic i18n() call. In debug mode, it will even trigger the static assert,
giving error at compile time. This is in order to prevent misnamed calls:
it may happen that you add context or plural to previously basic message,
but forget to change the name of the call.
</p>
<p>
All message strings are expected to pass for well-formed XML, whether or
not the output device supports some form of markup.
Thus, predefined XML entities are always available: &amp;amp;lt;, &amp;amp;gt;,
&amp;amp;amp;, &amp;amp;apos;, and &amp;amp;quot;. E.g. if you need a non-tag
less-than sign, use &amp;amp;lt; entity instead.
The exception to the well-formed XML requirement is the ampersand (&amp;amp;),
which is used a lot for marking accelerators, so you should not write it
as &amp;amp;amp; (except in the very unlikely case when the construct with
the naked ampersand can be interpreted as an entity in itself).
</p>
<p>
<b>Specialized Usage </b>
</p>
<p>
There are some situations where i18n* calls are not sufficient or
convenient. For one, if you need to substitute many arguments. Or, if you
find that you need to defer the substitution. For this you can use the
ki18n call which returns a KLocalizedString, substitute arguments
using its subs methods, and finalize the translation by calling
its toString method. For example:
<pre class="fragment">
   KLocalizedString ks;
   case (reportSource) {
     SRC_ENG: ks = ki18n("Engineering reports: %1"); break;
     SRC_HEL: ks = ki18n("Helm reports: %1"); break;
     SRC_SON: ks = ki18n("Sonar reports: %1"); break;
     default: ks = ki18n("General report: %1");
   }
   QString msg = ks.subs(reportText).toString();
</pre>
</p>
<p>
Another case is when you want extra formatting of arguments, like field
width or number of decimals. subs methods can take these formatting
parameters. In particular, you should never use some custom way to
format arguments, as subs methods will also properly localize them:
<pre class="fragment">
   QString s = i18n("Rounds: %1", myNumberFormat(n, 8)); // bad, number not localized
   QString s = ki18n("Rounds: %1").subs(n, 8).toString(); // good, number localized
</pre>
</p>
<p>
There are also context, plural and context-plural variants:
<pre class="fragment">
   QString s = ki18nc("No function", "None").toString();
   QString s = ki18np("File found", "%1 files found").subs(n).toString();
   QString s = ki18ncp("Personal file", "One file", "%1 files").subs(n).toString();
</pre>
</p>
<p>
If you need translation using locale (ie. KLocale object) other than the
default, you can use overloaded toString method which takes pointer to a
locale:
<pre class="fragment">
   KLocale *myLocale;
   ...
   ki18n("Welcome").toString(myLocale);
</pre>
</p>
<p>
Translators have a capability to script translations at runtime, which is
for the most part transparent to the programmer. However, sometimes the
programmer may help by providing some dynamic context to the message,
using the inContext method of KLocalizedString. Unlike the ordinary
context, this one changes at runtime; translators have the means to fetch
it and use it to script the translation properly. An example:
<pre class="fragment">
   KLocalizedString ks = ki18nc("%1 is user name; may have "
                                "dynamic context gender=[male,female]",
                                "%1 went offline");
   if (knownUsers.contains(user) &amp;&amp; !knownUsers[user].gender.isEmpty()) {
     ks = ks.inContext("gender", knownUsers[user].gender);
   }
   QString msg = ks.subs(user).toString();
</pre>
Several dynamic contexts, with different keys, can be added like this.
</p>
<p>
<b>Placeholder Substitution </b>
</p>
<p>
Hopefully, for the most part placeholders are being substituted the way
you would intuitively expect them to be. Nevertheless:
</p>
<p>
<li> Placeholders are substituted in one pass, so no need to worry about </li>
argument itself containing a placeholder.
</p>
<p>
<li> All same-numbered placeholders are substituted with same argument. </li>
</p>
<p>
<li> Placeholders directly index arguments: they should be numbered from 1 </li>
upwards, without gaps in the sequence so that each argument is indexed.
Otherwise you will get error marks in messages at runtime (when compiled
in debug mode), and any invalid placeholder will be left unsubstituted.
The exception is plural-deciding argument in plural call, where it is
allowed to drop its placeholder in either singular or plural form.
</p>
<p>
<li> If none of the arguments supplied to a plural call is integer-valued, </li>
you will get an error mark in message at runtime (in debug mode).
</p>
<p>
<li> Plain number arguments will be normally formatted as if they denote </li>
amounts, according to language rules (thousands separation, etc.)
But sometimes a number is a numerical identifier (e.g. port number),
and to be treated as such, wrap the placeholder with the numid tag:
<pre class="fragment">
       QString msg = i18n("Using port &lt;numid&gt;%1&lt;/numid&gt;", port);
</pre>
</p>
<p>
<b>Further References </b>
</p>
<p>
<a href="http://techbase.kde.org/">KDE Techbase</a> contains a
<a href="http://techbase.kde.org/Development/Tutorials/Localization">
series of tutorials</a> on preparing the code for localization (and on
internationalization process in general), where the intended patterns of
usage of i18n API are covered in great detail.
</p>
<p>
All i18n'd messages, whether sent to widgets expecting plain text or
allowing Qt rich text (HTML), support the new KDE semantic markup for
user interface text, KUIT in short. Semantic markup both increases the
consistency of visual presentation for the end user, and provides extra
information to translators, so that translations can be of higher quality.
KUIT is documented in an
<a href="http://techbase.kde.org/Development/Tutorials/Localization/i18n_Semantics">
Techbase article</a> as well.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> KLocale
</dd></dl> 
<dl class="author" compact><dt><b>Author:</b></dt><dd> Chusslove Illich &lt;caslav.ilic@gmx.net&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181598252">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181599276">__init__</a> (self, <a href="../kdecore/KLocalizedString.html">KLocalizedString</a> rhs)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181373900">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> ctxt, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> msg, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> plural)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181414508">inContext</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> key, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181508556">isEmpty</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181508876">subs</a> (self, int a, int fieldWidth=0, int base=10, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a> fillChar=QLatin1Char(' '))</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj182492140">subs</a> (self, long a, int fieldWidth=0, int base=10, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a> fillChar=QLatin1Char(' '))</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180754188">subs</a> (self, long a, int fieldWidth=0, int base=10, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a> fillChar=QLatin1Char(' '))</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181765196">subs</a> (self, ulong a, int fieldWidth=0, int base=10, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a> fillChar=QLatin1Char(' '))</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj182459116">subs</a> (self, long a, int fieldWidth=0, int base=10, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a> fillChar=QLatin1Char(' '))</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181423756">subs</a> (self, long a, int fieldWidth=0, int base=10, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a> fillChar=QLatin1Char(' '))</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181413196">subs</a> (self, float a, int fieldWidth=0, char format='g', int precision=-1, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a> fillChar=QLatin1Char(' '))</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181413580">subs</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a> a, int fieldWidth=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a> fillChar=QLatin1Char(' '))</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181413132">subs</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> a, int fieldWidth=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a> fillChar=QLatin1Char(' '))</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181608012">toString</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181507020">toString</a> (self, <a href="../kdecore/KLocale.html">KLocale</a> locale)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181414988">notifyCatalogsUpdated</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> languages, [KCatalogName] catalogs)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj181598252"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Constructs an empty message, which is not valid for finalization.
Useful when you later need to assign KLocalizedString obtained by one
of ki18n* calls.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> isEmpty()
</dd></dl>
</p></div></div><a class="anchor" name="obj181599276"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a>&nbsp;</td>
<td class="paramname"><em>rhs</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Copy constructor.
</p></div></div><a class="anchor" name="obj181373900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>ctxt</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>msg</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>plural</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj181414508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a> inContext</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>key</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Adds dynamic context to the message.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>key</em>&nbsp;</td><td> context key

<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> context value
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> resultant KLocalizedString
</dd></dl>
</p></div></div><a class="anchor" name="obj181508556"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isEmpty</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Checks whether the message is empty. This will happen if you just
constructed the object via default constructor.
</p>
<p>
Empty messages are not valid for finalization; if you use toString() on
them, you will get error mark instead of empty QString (in debug mode).
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the message is empty, else false
</dd></dl>
</p></div></div><a class="anchor" name="obj181414988"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> notifyCatalogsUpdated</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>languages</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">[KCatalogName]&nbsp;</td>
<td class="paramname"><em>catalogs</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd> Called from KLocale on addition or removal of catalogs.
</dd></dl>
</p></div></div><a class="anchor" name="obj181508876"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a> subs</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>a</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>fieldWidth=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>base=10</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a>&nbsp;</td>
<td class="paramname"><em>fillChar=QLatin1Char(' ')</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Substitutes an int argument into the message.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>a</em>&nbsp;</td><td> the argument

<tr><td></td><td valign="top"><em>fieldWidth</em>&nbsp;</td><td> width of the formatted field, padded by spaces.
Positive value aligns right, negative aligns left

<tr><td></td><td valign="top"><em>base</em>&nbsp;</td><td> the radix used to represent the number as a string.
Valid values range from 2 to 36

<tr><td></td><td valign="top"><em>fillChar</em>&nbsp;</td><td> the character used to fill up the empty places when
field width is greater than argument width
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> resultant KLocalizedString
</dd></dl>
</p></div></div><a class="anchor" name="obj182492140"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a> subs</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>a</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>fieldWidth=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>base=10</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a>&nbsp;</td>
<td class="paramname"><em>fillChar=QLatin1Char(' ')</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Substitutes an unsigned int argument into the message.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>a</em>&nbsp;</td><td> the argument

<tr><td></td><td valign="top"><em>fieldWidth</em>&nbsp;</td><td> width of the formatted field, padded by spaces.
Positive value aligns right, negative aligns left

<tr><td></td><td valign="top"><em>base</em>&nbsp;</td><td> the radix used to represent the number as a string.
Valid values range from 2 to 36

<tr><td></td><td valign="top"><em>fillChar</em>&nbsp;</td><td> the character used to fill up the empty places when
field width is greater than argument width
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> resultant KLocalizedString
</dd></dl>
</p></div></div><a class="anchor" name="obj180754188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a> subs</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>a</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>fieldWidth=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>base=10</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a>&nbsp;</td>
<td class="paramname"><em>fillChar=QLatin1Char(' ')</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Substitutes a long argument into the message.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>a</em>&nbsp;</td><td> the argument

<tr><td></td><td valign="top"><em>fieldWidth</em>&nbsp;</td><td> width of the formatted field, padded by spaces.
Positive value aligns right, negative aligns left

<tr><td></td><td valign="top"><em>base</em>&nbsp;</td><td> the radix used to represent the number as a string.
Valid values range from 2 to 36

<tr><td></td><td valign="top"><em>fillChar</em>&nbsp;</td><td> the character used to fill up the empty places when
field width is greater than argument width
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> resultant KLocalizedString
</dd></dl>
</p></div></div><a class="anchor" name="obj181765196"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a> subs</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">ulong&nbsp;</td>
<td class="paramname"><em>a</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>fieldWidth=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>base=10</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a>&nbsp;</td>
<td class="paramname"><em>fillChar=QLatin1Char(' ')</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Substitutes an unsigned long argument into the message.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>a</em>&nbsp;</td><td> the argument

<tr><td></td><td valign="top"><em>fieldWidth</em>&nbsp;</td><td> width of the formatted field, padded by spaces.
Positive value aligns right, negative aligns left

<tr><td></td><td valign="top"><em>base</em>&nbsp;</td><td> the radix used to represent the number as a string.
Valid values range from 2 to 36

<tr><td></td><td valign="top"><em>fillChar</em>&nbsp;</td><td> the character used to fill up the empty places when
field width is greater than argument width
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> resultant KLocalizedString
</dd></dl>
</p></div></div><a class="anchor" name="obj182459116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a> subs</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>a</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>fieldWidth=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>base=10</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a>&nbsp;</td>
<td class="paramname"><em>fillChar=QLatin1Char(' ')</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Substitutes a long long argument into the message.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>a</em>&nbsp;</td><td> the argument

<tr><td></td><td valign="top"><em>fieldWidth</em>&nbsp;</td><td> width of the formatted field, padded by spaces.
Positive value aligns right, negative aligns left

<tr><td></td><td valign="top"><em>base</em>&nbsp;</td><td> the radix used to represent the number as a string.
Valid values range from 2 to 36

<tr><td></td><td valign="top"><em>fillChar</em>&nbsp;</td><td> the character used to fill up the empty places when
field width is greater than argument width
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> resultant KLocalizedString
</dd></dl>
</p></div></div><a class="anchor" name="obj181423756"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a> subs</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>a</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>fieldWidth=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>base=10</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a>&nbsp;</td>
<td class="paramname"><em>fillChar=QLatin1Char(' ')</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Substitutes an unsigned long long argument into the message.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>a</em>&nbsp;</td><td> the argument

<tr><td></td><td valign="top"><em>fieldWidth</em>&nbsp;</td><td> width of the formatted field, padded by spaces.
Positive value aligns right, negative aligns left

<tr><td></td><td valign="top"><em>base</em>&nbsp;</td><td> the radix used to represent the number as a string.
Valid values range from 2 to 36

<tr><td></td><td valign="top"><em>fillChar</em>&nbsp;</td><td> the character used to fill up the empty places when
field width is greater than argument width
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> resultant KLocalizedString
</dd></dl>
</p></div></div><a class="anchor" name="obj181413196"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a> subs</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>a</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>fieldWidth=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">char&nbsp;</td>
<td class="paramname"><em>format='g'</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>precision=-1</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a>&nbsp;</td>
<td class="paramname"><em>fillChar=QLatin1Char(' ')</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Substitutes a double argument into the message.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>a</em>&nbsp;</td><td> the argument

<tr><td></td><td valign="top"><em>fieldWidth</em>&nbsp;</td><td> width of the formatted field, padded by spaces.
Positive value aligns right, negative aligns left

<tr><td></td><td valign="top"><em>format</em>&nbsp;</td><td> type of floating point formating, like in QString.arg

<tr><td></td><td valign="top"><em>precision</em>&nbsp;</td><td> number of digits after the decimal separator

<tr><td></td><td valign="top"><em>fillChar</em>&nbsp;</td><td> the character used to fill up the empty places when
field width is greater than argument width
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> resultant KLocalizedString
</dd></dl>
</p></div></div><a class="anchor" name="obj181413580"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a> subs</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a>&nbsp;</td>
<td class="paramname"><em>a</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>fieldWidth=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a>&nbsp;</td>
<td class="paramname"><em>fillChar=QLatin1Char(' ')</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Substitutes a QChar argument into the message.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>a</em>&nbsp;</td><td> the argument

<tr><td></td><td valign="top"><em>fieldWidth</em>&nbsp;</td><td> width of the formatted field, padded by spaces.
Positive value aligns right, negative aligns left

<tr><td></td><td valign="top"><em>fillChar</em>&nbsp;</td><td> the character used to fill up the empty places when
field width is greater than argument width
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> resultant KLocalizedString
</dd></dl>
</p></div></div><a class="anchor" name="obj181413132"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KLocalizedString.html">KLocalizedString</a> subs</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>a</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>fieldWidth=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qchar.html">QChar</a>&nbsp;</td>
<td class="paramname"><em>fillChar=QLatin1Char(' ')</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Substitutes a QString argument into the message.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>a</em>&nbsp;</td><td> the argument

<tr><td></td><td valign="top"><em>fieldWidth</em>&nbsp;</td><td> width of the formatted field, padded by spaces.
Positive value aligns right, negative aligns left

<tr><td></td><td valign="top"><em>fillChar</em>&nbsp;</td><td> the character used to fill up the empty places when
field width is greater than argument width
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> resultant KLocalizedString
</dd></dl>
</p></div></div><a class="anchor" name="obj181608012"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> toString</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Finalizes the translation, creates QString with placeholders
substituted. Translations is obtained from default locale.
</p>
<p>
If there was any mismatch between placeholders and arguments
returned string will contain error marks (in debug mode).
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> finalized translation
</dd></dl>
</p></div></div><a class="anchor" name="obj181507020"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> toString</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KLocale.html">KLocale</a>&nbsp;</td>
<td class="paramname"><em>locale</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Finalizes the translation, creates QString with placeholders
substituted. Translations is obtained from given locale. If locale
is NULL, original message is used instead of translated.
</p>
<p>
If there was any mismatch between placeholders and arguments
returned string will contain error marks (in debug mode).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>locale</em>&nbsp;</td><td> locale from which translations are to be taken
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> finalized translation
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
